# Physical Network

``` mermaid
graph TB
  C(Opnsense) --> A;
  D(laundry AP) --> A;
  E(Loft AP) --> A;
  Q(Pizero Zigbee) --> A;
  A[Laundry Switch] <-->|Outside| B[Garage Switch];
  B --> F(Microserver)
  B --> G(kubemaster)
  B --> H(agent0)
  B --> I(agent1)
  B --> J(agent2)
  P[colas bedroom] <--> B
  L(TV) --> K
  M(Kodi) --> K
  N(OrangeTV) --> K
  O(Retropie) --> K
  K[lounge switch] <--> B
```

Fibre comes into the house in the laundry room. The Livebox is pretty lame as routers go, so Opnsense runs on the NUC and is connected to the Livebox. All the routing is done on Opnsense.

The exception is the default VLAN (1). The is where the Livebox lives and the Opnsense WAN interface. Additionally, the Unifi access points are also on this VLAN. Finally, the Orange TV is also on this VLAN because they force you to.

The Unifi switch in the laundry room powers the access points next to it and in the loft.

The link between the laundry room and the garage runs under the decking and around the patio to the garage switch (HP).

The lab and NAS is in the garage and connected to the HP switch.

The lab is a [Kubernetes](kubernetes.md) cluster running on 4 Intel NUCs (1 master, 3 agents) and a NAS on the HP Microserver.

## VLANs

| Name | VLAN ID |
| ---- | ------- |
| IOT  | 3       |
| Work | 4       |
| Home | 5       |
| LAB  | 6       |
